Module ij
Package ij.process

# Class ColorStatistics

java.lang.Object
ij.process.ImageStatistics
ij.process.ColorStatistics

All Implemented Interfaces:
  `Measurements`

public class ColorStatistics extends ImageStatistics
RGB image statistics, including histogram.

## Field Summary

### Fields inherited from class ij.process.ImageStatistics

`angle, area, areaFraction, binSize, cal, dmode, height, histMax, histMin, histogram, histogram16, histYMax, kurtosis, longHistogram, longPixelCount, lowerThreshold, major, max, maxCount, mean, median, min, minor, mode, nBins, ph, pixelCount, pw, rh, roiHeight, roiWidth, roiX, roiY, rw, rx, ry, skewness, stackStatistics, stdDev, umean, upperThreshold, width, xCenterOfMass, xCentroid, xstart, yCenterOfMass, yCentroid, ystart`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`ColorStatistics(ImageProcessor ip)`
Construct an ImageStatistics object from a ColorProcessor using the standard measurement options (area, mean, mode, min and max).
`ColorStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Constructs a ColorStatistics object from a ColorProcessor using the specified measurement options.

## Method Summary

### Methods inherited from class ij.process.ImageStatistics

`drawEllipse, getHistogram, getStatistics, getStatistics, histogram, saveThreshold, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ColorStatistics

public ColorStatistics(ImageProcessor ip)
Construct an ImageStatistics object from a ColorProcessor using the standard measurement options (area, mean, mode, min and max).

### ColorStatistics

public ColorStatistics(ImageProcessor ip, int mOptions, Calibration cal)
Constructs a ColorStatistics object from a ColorProcessor using the specified measurement options.